<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::any('/','UserController@getLogin');
Route::any('/return/login','UserController@getReturnLogin');
Route::any('/apk/down/{md5}','ApkController@getApkDown');

Route::group(['middleware' => ['login']],function() {
    Route::any('logout','UserController@getLogout');//退出登录
});

Route::group(['prefix' => 'user','middleware' => ['login']],function() {
    Route::any('/list','UserController@getUserList');//用户列表
    Route::post('/set/status','UserController@getUserSetStatus');//设置用户状态
});

Route::group(['prefix' => 'apk','middleware' => ['login']],function() {
    Route::any('/list','ApkController@getApkList');//apk包列表
    Route::post('/add','ApkController@getApkAdd');//新增apk包
    Route::post('/edit','ApkController@getApkEdit');//编辑apk包
    Route::post('/del','ApkController@getApkDel');//删除apk包
    Route::post('/set/status','ApkController@getApkSetStatus');//设置包状态
});


